Bug 1822037 - buildah is not expanding env vars in file paths [stream-container-tools-rhel8-rhel-8.2.1/buildah]
Summary: buildah is not expanding env vars in file paths [stream-container-tools-rhel8...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: buildah
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: Jindrich Novy
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1810069 1822207
TreeView+ depends on / blocked
 
Reported: 2020-04-08 06:19 UTC by Jindrich Novy
Modified: 2020-07-21 15:32 UTC (History)
5 users (show)

Fixed In Version: buildah-1.14.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-21 15:31:55 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3053 None None None 2020-07-21 15:32:38 UTC

Description Jindrich Novy 2020-04-08 06:19:33 UTC
This is a tracking bug assuring the fix for [bug 1810069] gets applied in stream-container-tools-rhel8-rhel-8.2.1 branch of buildah.

Comment 6 Joy Pu 2020-06-02 13:14:43 UTC
Test with buildah-1.14.9-1.module+el8.2.1+6689+748e6520.x86_64 and it works as expect. So set this to verified.
Details:
$ buildah bud -t foo .
STEP 1: FROM centos

Getting image source signatures
Copying blob 8a29a15cefae done  
Copying config 470671670c done  
Writing manifest to image destination
Storing signatures
STEP 2: ENV foo=oo
STEP 3: ADD ./f${foo} /tmp/foo
STEP 4: COMMIT foo
Getting image source signatures
Copying blob 0683de282177 skipped: already exists  
Copying blob 8225927f5038 done  
Copying config 30af136a04 done  
Writing manifest to image destination
Storing signatures
--> 30af136a040
30af136a0407b864ef8a0487f07f2b9fecb16b523a5a2b1a887cc7baf0ae5b
$ podman run foo /bin/bash -c "cat /tmp/foo"
hello

Comment 8 errata-xmlrpc 2020-07-21 15:31:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3053


Note You need to log in before you can comment on or make changes to this bug.